Name: rpm-build-gir
Version: 0.5
Release: alt2

Summary: RPM helper macros and dependency utils to build GObject Introspection packages
License: GPL
Group: Development/Other

Source: %name-%version.tar

BuildArch: noarch
Requires: xml-utils

%description
These helper macros and dependency calculation utils facilitate creation of
RPM packages containing GObject Introspection files.

%prep
%setup

%install
mkdir -p %buildroot{%_rpmlibdir,%_rpmmacrosdir}
install -pD -m644 rpm-build-gir.macros %buildroot%_rpmmacrosdir/gobject-introspection

for f in gir.req* gir.prov* typelib.req* typelib.prov* gir-js.req* gir-python.req*; do
  install -m755 -p "$f" "%buildroot%_rpmlibdir/$f"
done
ln -s typelib.prov.files %buildroot%_rpmlibdir/typelib.req.files
ln -s gir.prov.files %buildroot%_rpmlibdir/gir.req.files


%files
%_rpmmacrosdir/gobject-introspection
%_rpmlibdir/gir*
%_rpmlibdir/typelib*

%changelog
* Tue Apr 19 2011 Yuri N. Sedunov <aris@altlinux.org> 0.5-alt2
- fixed gir-python.req

* Fri Apr 08 2011 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt1
- add gir autoreq for python files
- if find "imports.gi.Peas" in javascript files then need libpeas-js-loader
- if find "gi.repository import Peas" in python files then need libpeas-python-loader

* Wed Mar 09 2011 Alexey Shabalin <shaba@altlinux.ru> 0.4.2-alt1
- update filter for javascript files

* Fri Mar 04 2011 Alexey Tourbin <at@altlinux.ru> 0.4.1-alt1
- gir.prov.files: fixed gir files detection

* Mon Feb 14 2011 Alexey Shabalin <shaba@altlinux.ru> 0.4-alt1
- add autoreq for javascript files

* Mon Jul 19 2010 Alexey Shabalin <shaba@altlinux.ru> 0.3-alt1
- fix build gobject-introspection with changed soname

* Tue Mar 30 2010 Alexey Shabalin <shaba@altlinux.ru> 0.2-alt1
- change scheme req and prov for gir and typelib from gir(Foo-1.0) to gir(Foo) = 1.0

* Sun Mar 07 2010 Alexey Shabalin <shaba@altlinux.ru> 0.1-alt1
- Initial release
